Name: gtkam
Version: 0.1.12
Release: alt5

Group: Graphics
Summary: A digital camera manager
Summary (ru_RU.UTF-8): Программа для работы с цифровыми фотоаппаратами
License: GPL
Url: http://www.gphoto.org/proj/gtkam/

Source0: %name-%version.tar.gz
Source1: ru.po
Source2: ru.gmo
Source3: ruhelp.tar.gz
Patch0: gtkam-0.1.12-fixsavefnames.patch
Patch1: gtkam-0.1.12-nodebugopt.patch
Patch2: gtkam-0.1.12-gimp2.patch
Patch3: gtkam-0.1.12-gimp-i18n-fix.patch
Patch4: gtkam-0.1.12-help.patch
Patch5: gtkam-0.1.12-gnomenu.patch
Patch6: gtkam-0.1.12-ruhelp.patch

BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 glib2-devel gnome-libs-devel gnome-vfs2-devel hostinfo libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libexif-devel libexif-gtk-devel libgimp2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgphoto2-devel libgtk+2-devel libpango-devel libpopt-devel libxml2-devel pkgconfig rootfiles scrollkeeper

%description
GTKam is a GTK-frontend to gphoto2. It provides all the basic
functionality needed to manage the contents of your digital
camera. You can view, retrieve and delete images as well as
read EXIF data.

%description -l ru_RU.UTF-8
GTKam предоставляет GTK интерфейс для gphoto2 и включает
все основные возможности по управлению содержимым памяти
цифрового фотоаппарата. Программа позволяет просматривать,
копировать и удалять снимки, а также просматривать
дополнительные сведения об изображениях в формате EXIF.

%package gimp
Summary: GIMP plug-in for digital camera access
Summary (ru_RU.UTF-8): Дополнение GIMP для прямого доступа к цифровым фотоаппаратам
Requires: %name = %version
Requires: gimp >= 2.0
Group: Graphics

%description gimp
A GIMP plug-in for direct digital camera access through gPhoto2.

%description gimp -l ru_RU.UTF-8
Дополнение GIMP для прямого доступа к цифровым фотоаппаратам с помощью gPhoto2.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
# force update translation
cat %SOURCE1 > po/ru.po
cat %SOURCE2 > po/ru.gmo
%__tar xzf %SOURCE3

%build
%configure
%make_build

%install
%makeinstall
%find_lang %name
# menu
install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(%name):command="%_bindir/%name" needs="x11" \
section="Multimedia/Graphics" title="GTKam" \
longtitle="A digital camera manager" icon="%name.png"
EOF

%post
%update_scrollkeeper
%update_menus

%postun
%clean_scrollkeeper
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/%name
%_datadir/images/%name
%_datadir/applications/%name.desktop
%_datadir/pixmaps/%name.png
%_menudir/%name
%_datadir/omf/*
%_datadir/gnome/help/*
%_man1dir/*
%doc AUTHORS NEWS README TODO

%files gimp
%defattr(-,root,root)
%_libdir/gimp/*/plug-ins/gtkam-gimp

%changelog
* Fri Jul 15 2005 Denis Ovsienko <pilot@altlinux.ru> 0.1.12-alt5
- rebuilt with current libexif

* Fri Jul 09 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.1.12-alt4
- Russian help files

* Sat Jul 03 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.1.12-alt3
- RPM_OPT_FLAGS added to %Patch1
- Help files included
- Gnome menu
- GIMP Plugin
- random fixes
  
* Wed Jun 30 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.1.12-alt2
- Translation fix

* Wed Jun 23 2004 Denis Ovsienko <pilot@altlinux.ru> 0.1.12-alt1
- 0.1.12:
  + 897457 (gtkam fork() problem)
  + 934744 (./configure --without-bonobo doesn't disable bonobo)
  + 936625 (Compile fails at gtkam-chooser.c, GtkCombo)
- 0.1.11:
  + Multiple bug fixes
  + Changes to adhere to the Gnome Human Interface Guidelines (HIG), including menu entries and the start of a help system.
- normalized icon permissions
- rearranged patches

* Wed Sep 17 2003 Sergey V Turchin <zerg at altlinux dot org> 0.1.10-alt1.2
- fix requires

* Tue Sep 16 2003 Sergey V Turchin <zerg at altlinux dot org> 0.1.10-alt1.1
- only rebuild with new libexif

* Thu Mar 06 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.1.10-alt1
- ALTLinux build
